stogの日記

2010-06-26

sqlite3-ruby 1.3.0のインストールが失敗する。

まず、環境はこんな感じ。

# cat /etc/redhat-release
CentOS release 5.4 (Final)

# rpm -aq | egrep '^sqlite'
sqlite-3.3.6-5
sqlite-devel-3.3.6-5

# ruby -v
ruby 1.8.7 (2010-01-10 patchlevel 249) [i686-linux]

# gem -v
1.3.7

gemでsqlite3-rubyのインストールを試みるが以下のように失敗する。

# gem install sqlite3-ruby
Building native extensions.  This could take a while...
ERROR:  Error installing sqlite3-ruby:
        ERROR: Failed to build gem native extension.

/usr/local/bin/ruby extconf.rb
checking for sqlite3.h... yes
checking for sqlite3_libversion_number() in -lsqlite3... yes
checking for rb_proc_arity()... no
checking for sqlite3_column_database_name()... no
checking for sqlite3_enable_load_extension()... no
checking for sqlite3_load_extension()... no
creating Makefile

make
gcc -I. -I. -I/usr/local/lib/ruby/1.8/i686-linux -I. -I/usr/local/include -I/opt/local/include -I/usr/include  -D_FILE_OFFSET_BITS=64  -fPIC -g -O2  -O3 -Wall -Wcast-qual -Wwrite-strings -Wconversion -Wmissing-noreturn -Winline  -c statement.c
statement.c: In function ‘initialize’:
statement.c:53: 警告: implicit declaration of function ‘sqlite3_prepare_v2’
statement.c: In function ‘bind_param’:
statement.c:261: error: ‘sqlite3_int64’ undeclared (first use in this function)
statement.c:261: error: (Each undeclared identifier is reported only once
statement.c:261: error: for each function it appears in.)
make: *** [statement.o] エラー 1


Gem files will remain installed in /usr/local/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.3.0 for inspection.
Results logged to /usr/local/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.3.0/ext/sqlite3/gem_make.out

sqlite3-ruby-1.3.0について小一時間ほどググったりして調べてみたが結局よく分からなかった。

ちなみに、sqlite3-rubyの1つ前のバージョン(1.2.5)であればインストールできた。

# gem search sqlite3-ruby -ra

*** REMOTE GEMS ***

sqlite3-ruby (1.3.0 ruby x86-mingw32 x86-mswin32-60, 1.2.5 ruby x86-mingw32 x86-mswin32, 1.2.4, 1.2.3 ruby mswin32 x86-mingw32, 1.2.2 ruby mswin32, 1.2.1 ruby mswin32, 1.2.0 ruby mswin32, 1.1.0 ruby mswin32, 1.0.1 ruby mswin32, 1.0.0 ruby mswin32, 0.9.0 ruby mswin32, 0.6.0, 0.5.0)
# gem install sqlite3-ruby -v '1.2.5'
Building native extensions.  This could take a while...
Successfully installed sqlite3-ruby-1.2.5
1 gem installed

スパム対策のためのダミーです。もし見えても何も入力しないでください
ゲスト


画像認証

トラックバック - http://d.hatena.ne.jp/stog/20100626/1277583542
Connection: close